#define L_LESS LESS
#define L_GREATEREQ GREATEREQ
#define L_EQUALS EQUALS
#define L_NOTEQ NOTEQ
#define L_LESSEQ LESSEQ
#define L_GREATER GREATER
#define L_NOT NOT
#define L_AND AND
#define L_OR OR
#define L_MINUS MINUS
#define L_PLUS PLUS
#define L_UMINUS UMINUS
#define L_MULTIPLY MULTIPLY
#define L_DIVIDE DIVIDE
#define L_CONCAT CONCAT
#define L_CONCAT_N CONCAT_N
#define L_ASSIGN_SUBS ASSIGN_SUBS
#define L_PASSIGN_SUBS PASSIGN_SUBS
#define L_GETS GETS
#define L_ASSIGN ASSIGN
#define L_PRINT PRINT
#define L_IF IF
#define L_FOR FOR
#define L_ENDWHILE ENDWHILE
#define L_ELSE ELSE
#define L_OR_BITS OR_BITS
#define L_RHS_SUBS RHS_SUBS
#define L_XOR_BITS XOR_BITS
#define L_PROC PROC
#define L_RETURNF RETURNF
#define L_RETURNP RETURNP
#define L_PRIVATE_INIT_CHECK PRIVATE_INIT_CHECK
#define L_RIGHT_BRACE_N RIGHT_BRACE_N
#define L_REPEAT REPEAT
#define L_GETC GETC
#define L_RETURNT RETURNT
#define L_APPEND APPEND
#define L_QPRINT QPRINT
#define L_OPEN OPEN
#define L_PRINTF PRINTF
#define L_ENDFOR_GENERAL ENDFOR_GENERAL
#define L_IS_AN_OBJECT IS_AN_OBJECT
#define L_SQRT SQRT
#define L_LENGTH LENGTH
#define L_PLENGTH PLENGTH
#define L_BADRETURNF BADRETURNF
#define L_PUTS PUTS
#define L_ASSIGN_SLICE ASSIGN_SLICE
#define L_PASSIGN_SLICE PASSIGN_SLICE
#define L_RHS_SLICE RHS_SLICE
#define L_WHILE WHILE
#define L_ENDFOR_INT_UP ENDFOR_INT_UP
#define L_ENDFOR_UP ENDFOR_UP
#define L_ENDFOR_DOWN ENDFOR_DOWN
#define L_NOT_BITS NOT_BITS
#define L_ENDFOR_INT_DOWN ENDFOR_INT_DOWN
#define L_SPRINTF SPRINTF
#define L_ENDFOR_INT_UP1 ENDFOR_INT_UP1
#define L_ENDFOR_INT_DOWN1 ENDFOR_INT_DOWN1
#define L_AND_BITS AND_BITS
#define L_PREPEND PREPEND
#define L_STARTLINE STARTLINE
#define L_CLEAR_SCREEN CLEAR_SCREEN
#define L_POSITION POSITION
#define L_EXIT EXIT
#define L_RAND RAND
#define L_FLOOR_DIV FLOOR_DIV
#define L_TRACE TRACE
#define L_TYPE_CHECK TYPE_CHECK
#define L_FLOOR_DIV2 FLOOR_DIV2
#define L_IS_AN_ATOM IS_AN_ATOM
#define L_IS_A_SEQUENCE IS_A_SEQUENCE
#define L_DATE DATE
#define L_TIME TIME
#define L_REMAINDER REMAINDER
#define L_POWER POWER
#define L_ARCTAN ARCTAN
#define L_LOG LOG
#define L_SPACE_USED SPACE_USED
#define L_COMPARE COMPARE
#define L_FIND FIND
#define L_MATCH MATCH
#define L_GET_KEY GET_KEY
#define L_SIN SIN
#define L_COS COS
#define L_TAN TAN
#define L_FLOOR FLOOR
#define L_ASSIGN_SUBS_CHECK ASSIGN_SUBS_CHECK
#define L_RIGHT_BRACE_2 RIGHT_BRACE_2
#define L_CLOSE CLOSE
#define L_DISPLAY_VAR DISPLAY_VAR
#define L_ERASE_PRIVATE_NAMES ERASE_PRIVATE_NAMES
#define L_UPDATE_GLOBALS UPDATE_GLOBALS
#define L_ERASE_SYMBOL ERASE_SYMBOL
#define L_GETENV GETENV
#define L_RHS_SUBS_CHECK RHS_SUBS_CHECK
#define L_PLUS1 PLUS1
#define L_IS_AN_INTEGER IS_AN_INTEGER
#define L_LHS_SUBS LHS_SUBS
#define L_LHS_SUBS1 LHS_SUBS1
#define L_INTEGER_CHECK INTEGER_CHECK
#define L_SEQUENCE_CHECK SEQUENCE_CHECK
#define L_DIV2 DIV2
#define L_SYSTEM SYSTEM
#define L_COMMAND_LINE COMMAND_LINE
#define L_ATOM_CHECK ATOM_CHECK
#define L_LESS_IFW LESS_IFW
#define L_GREATEREQ_IFW GREATEREQ_IFW
#define L_EQUALS_IFW EQUALS_IFW
#define L_NOTEQ_IFW NOTEQ_IFW
#define L_LESSEQ_IFW LESSEQ_IFW
#define L_GREATER_IFW GREATER_IFW
#define L_NOT_IFW NOT_IFW
#define L_GLOBAL_INIT_CHECK GLOBAL_INIT_CHECK
#define L_NOP1 NOP1
#define L_NOP2 NOP2
#define L_MACHINE_FUNC MACHINE_FUNC
#define L_MACHINE_PROC MACHINE_PROC
#define L_ASSIGN_I ASSIGN_I
#define L_RHS_SUBS_I RHS_SUBS_I
#define L_PLUS_I PLUS_I
#define L_MINUS_I MINUS_I
#define L_PLUS1_I PLUS1_I
#define L_ASSIGN_SUBS_I ASSIGN_SUBS_I
#define L_LESS_IFW_I LESS_IFW_I
#define L_GREATEREQ_IFW_I GREATEREQ_IFW_I
#define L_EQUALS_IFW_I EQUALS_IFW_I
#define L_NOTEQ_IFW_I NOTEQ_IFW_I
#define L_LESSEQ_IFW_I LESSEQ_IFW_I
#define L_GREATER_IFW_I GREATER_IFW_I
#define L_FOR_I FOR_I
#define L_ABORT ABORT
#define L_PEEK PEEK
#define L_POKE POKE
#define L_CALL CALL
#define L_PIXEL PIXEL
#define L_GET_PIXEL GET_PIXEL
#define L_MEM_COPY MEM_COPY
#define L_MEM_SET MEM_SET
#define L_C_PROC C_PROC
#define L_C_FUNC C_FUNC
#define L_ROUTINE_ID ROUTINE_ID
#define L_CALL_BACK_RETURN CALL_BACK_RETURN
#define L_CALL_PROC CALL_PROC
#define L_CALL_FUNC CALL_FUNC
#define L_POKE4 POKE4
#define L_PEEK4S PEEK4S
#define L_PEEK4U PEEK4U
#define L_SC1_AND SC1_AND
#define L_SC2_AND SC2_AND
#define L_SC1_OR SC1_OR
#define L_SC2_OR SC2_OR
#define L_SC2_NULL SC2_NULL
#define L_SC1_AND_IF SC1_AND_IF
#define L_SC1_OR_IF SC1_OR_IF
#define L_ASSIGN_SUBS2 ASSIGN_SUBS2
#define L_ASSIGN_OP_SUBS ASSIGN_OP_SUBS
#define L_PASSIGN_OP_SUBS PASSIGN_OP_SUBS
#define L_ASSIGN_OP_SLICE ASSIGN_OP_SLICE
#define L_PASSIGN_OP_SLICE PASSIGN_OP_SLICE
#define L_PROFILE PROFILE
#define L_XOR XOR
#define L_EQUAL EQUAL
#define L_SYSTEM_EXEC SYSTEM_EXEC
#define L_NOPWHILE NOPWHILE
#define L_LHS_SUBS1_COPY LHS_SUBS1_COPY
#define L_TASK_CREATE TASK_CREATE 
#define L_TASK_SCHEDULE TASK_SCHEDULE
#define L_TASK_YIELD TASK_YIELD
#define L_TASK_SELF TASK_SELF
#define L_TASK_SUSPEND TASK_SUSPEND
#define L_TASK_LIST TASK_LIST
#define L_TASK_STATUS TASK_STATUS
#define L_TASK_CLOCK_STOP TASK_CLOCK_STOP
#define L_TASK_CLOCK_START TASK_CLOCK_START

#define L_PLATFORM PLATFORM

#define L_FIND_FROM FIND_FROM 
#define L_MATCH_FROM MATCH_FROM 
